Subject: [6pack] SU Carb Float Bowl

From: "[email-masked]" <[email-masked]>
Date: Fri, 13 Mar 2015 21:42:59 GMT

Hi Everyone: A while back, I posted that I was looking for an SU HS6 float
bowl part number AUD 2140.  I found one (Thanks Berry!), but am still in need
of second one.  It looks like they are listed in the Vicky Brit catalog
(Thanks Alan!), however, I'm looking to keep my costs low. If anyone can help
me out, I'd appreciate it.  Joe Curto doesn't have any in stock, but says that
they were used on MGCs and Spitfires. Thanks in advance - Matt Mullin
____________________________________________________________
Heavy rains mean flooding
Anywhere it rains it can flood. Learn your risk. Get flood insurance.
http://thirdpartyoffers.juno.com/TGL3131/550359f189be59f06cd9st04vuc
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/6pack